GET/cosmos/bank/v1beta1/spendable_balances/{address}

https://rest-hippo-mainnet.nodit.io/cosmos/bank/v1beta1/spendable_balances/string

SpendableBalances queries the spendable balance of all coins for a single account.

Path Parameters
addressstringrequired

address is the address to query spendable balances for.

Query Parameters
pagination.keystring (byte)

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring (uint64)

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring (uint64)

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean

Set to true to return results in descending order.

Responses
denomstring

Token denomination.

amountstring

Amount, as an integer string in the smallest unit.

next_keystring (byte)

next_key is the key to be passed to PageRequest.key to query the next page most efficiently. It will be empty if there are no more results.

totalstring (uint64)

Total number of results. Populated only when pagination.count_total is set in the request.

X-API-KEY
RequestCU25
cURL
curl -X GET "https://rest-hippo-mainnet.nodit.io/cosmos/bank/v1beta1/spendable_balances/string?pagination.key=string&pagination.offset=string&pagination.limit=string&pagination.count_total=true&pagination.reverse=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "balances": [
    {
      "denom": "string",
      "amount": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}